NamingContextHelper (Java Platform SE 8 )
Keywords: org.omg.CosNaming.NamingContextHelper class
Date: 2026-03-29

org.omg.CosNaming

## Class NamingContextHelper

- java.lang.Object
- - org.omg.CosNaming.NamingContextHelper

-     public abstract class NamingContextHelper
      extends Object

  A naming context is an object that contains a set of name bindings in which each name is unique. Different names can be bound to an object in the same or different contexts at the same time.

  See CORBA COS Naming Specification.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NamingContextHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NamingContext` | `extract(Any a)`
    `static String` | `id()`
    `static void` | `insert(Any a, NamingContext that)`
    `static NamingContext` | `narrow(Object obj)`
    `static NamingContext` | `read(InputStream istream)`
    `static TypeCode` | `type()`
    `static NamingContext` | `unchecked_narrow(Object obj)`
    `static void` | `write(OutputStream ostream, NamingContext value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NamingContextHelper

          public NamingContextHelper()

  - ### Method Detail

    - #### insert

          public static void insert(Any a,
                                    NamingContext that)

    - #### extract

          public static NamingContext extract(Any a)

    - #### type

          public static TypeCode type()

    - #### id

          public static String id()

    - #### read

          public static NamingContext read(InputStream istream)

    - #### write

          public static void write(OutputStream ostream,
                                   NamingContext value)

    - #### narrow

          public static NamingContext narrow(Object obj)

    - #### unchecked_narrow

          public static NamingContext unchecked_narrow(Object obj)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.